Bug 623950 - Vodafone (UK) K3570-Z TopUp And Go mobile broadband dongle won't connect
Vodafone (UK) K3570-Z TopUp And Go mobile broadband dongle won't connect
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-13 05:14 EDT by Dr Eva Myers
Modified: 2011-06-28 10:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:37:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
modem-manager debug log (23.29 KB, text/plain)
2010-08-14 12:36 EDT, Dr Eva Myers
no flags Details
log messages (8.60 KB, text/plain)
2011-01-13 09:51 EST, Dr Eva Myers
no flags Details
Log of /var/log/messages as Vodafone 3G dongle is inserted. (6.16 KB, text/plain)
2011-01-13 14:58 EST, Gary Myers
no flags Details
Debug messages from Vodafone 3G dongle software. (18.52 KB, text/plain)
2011-01-13 14:59 EST, Gary Myers
no flags Details
/var/log/messages as mobile broadband dongle is inserted (6.21 KB, text/plain)
2011-01-17 06:33 EST, Dr Eva Myers
no flags Details
List of python packages after upgrade (2.98 KB, text/plain)
2011-01-28 11:48 EST, Dr Eva Myers
no flags Details

  None (edit)
Description Dr Eva Myers 2010-08-13 05:14:35 EDT
Description of problem:
Vodafone (UK) K3570-Z TopUp And Go mobile broadband dongle won't connect

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Boot Fedora and log in, then insert Vodafone K3570-Z dongle.  (If the
machine is booted with the dongle inserted, then it will show up as a
CD.)  After a short wait the dongle's LED will begin to blink light
blue, indicating that it has found a 3G Broadband network.

Left-clicking on the NetworkManager icon at this point produces the following:

Wired network
  Disconnected
Mobile Broadband (0   F3607gw F3607gw)
  not enabled
# New Mobile Broadband (GSM) connection
Mobile Broadband (Vodafone (ZTE) Vodafone Mobile Broadband K3570-Z)
  not enabled
# New Mobile Broadband (GSM) connection
Wireless networks
  disconnected

(the rest is presumably irrelevant)

Choose the second "New Mobile Broadband (GSM) Connection" option.  Select United Kingdom, Vodafone, and TopUp and Go.

  
Actual results:
A message pops up saying that the network connection has been disconnected, and the following messages appear in /var/log/messages:

Aug 12 22:04:25 lapc-br1-261 NetworkManager[1462]: user_connection_updated_cb: assertion `old_connection != NULL' failed
Aug 12 22:04:25 lapc-br1-261 NetworkManager[1462]: <info> Activation (ttyUSB1) starting connection 'Vodafone TopUp and Go'
Aug 12 22:04:25 lapc-br1-261 NetworkManager[1462]: <info> (ttyUSB1): device state change: 3 -> 4 (reason 0)
Aug 12 22:04:25 lapc-br1-261 NetworkManager[1462]: <info> Activation (ttyUSB1) Stage 1 of 5 (Device Prepare) scheduled...
Aug 12 22:04:25 lapc-br1-261 NetworkManager[1462]: <info> Activation (ttyUSB1) Stage 1 of 5 (Device Prepare) started...
Aug 12 22:04:25 lapc-br1-261 NetworkManager[1462]: <info> Activation (ttyUSB1) Stage 1 of 5 (Device Prepare) complete.
Aug 12 22:04:25 lapc-br1-261 modem-manager: (ttyUSB1) opening serial device...
Aug 12 22:04:25 lapc-br1-261 modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (disabled -> enabling)
Aug 12 22:04:26 lapc-br1-261 modem-manager: (ttyUSB3) opening serial device...
Aug 12 22:04:26 lapc-br1-261 modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (enabling -> enabled)
Aug 12 22:04:26 lapc-br1-261 modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (enabled -> registered)
Aug 12 22:04:26 lapc-br1-261 modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (registered -> connecting)
Aug 12 22:04:26 lapc-br1-261 modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (connecting -> registered)
Aug 12 22:04:26 lapc-br1-261 NetworkManager[1462]: <warn> GSM connection failed: (32) No cause information available
Aug 12 22:04:26 lapc-br1-261 NetworkManager[1462]: <info> (ttyUSB1): device state change: 4 -> 9 (reason 1)
Aug 12 22:04:26 lapc-br1-261 NetworkManager[1462]: <info> Marking connection 'Vodafone TopUp and Go' invalid.
Aug 12 22:04:26 lapc-br1-261 NetworkManager[1462]: <warn> Activation (ttyUSB1) failed.
Aug 12 22:04:26 lapc-br1-261 NetworkManager[1462]: <info> (ttyUSB1): device state change: 9 -> 3 (reason 0)
Aug 12 22:04:26 lapc-br1-261 NetworkManager[1462]: <info> (ttyUSB1): deactivating device (reason: 0).

The menu produced by left-clicking on the NetworkManager icon also changes slightly, suggesting that the dongle has been detected.

Wired network
  Disconnected
Mobile Broadband (0   F3607gw F3607gw)
  not enabled
------Available---------------
Vodafone TopUp and Go
Mobile Broadband (Vodafone (ZTE) Vodafone Mobile Broadband K3570-Z)
  Vodafone UK UMTS [image showing 2 of 4 bars]
------Available---------------
Vodafone TopUp and Go
Wireless networks
  disconnected

However, clicking on either "Vodafone TopUp and Go" produces no results except a repeat of the message about the network being disconnected.  (I suspect that the first one refers to the laptop's built-in mobile broadband, which won't work unless a SIM is inserted in the laptop, and which I haven't tried to use at all.)

Expected results:
The laptop should connect to the Internet after the "new connection wizard" has been run.

Additional info:
Right-clicking the NetworkManager icon and selecting "Enable mobile broadband" seems not to work i.e. no tick appears in the box although I can turn wireless and notifications on and off.  /var/log/messages shows:

Aug 12 22:02:19 lapc-br1-261 modem-manager: (ttyACM0) opening serial device...
Aug 12 22:02:19 lapc-br1-261 dbus: [system] Rejected send message, 1 matched rules; type="method_return", sender=":1.1" (uid=0 pid=1462 comm="NetworkManager) interface="(unset)" member="(unset)" error name="(unset)" requested_reply=0 destination=":1.53" (uid=500 pid=2103 comm="nm-applet))
Aug 12 22:02:19 lapc-br1-261 modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
Aug 12 22:02:19 lapc-br1-261 modem-manager: (ttyUSB1) opening serial device...
Aug 12 22:02:19 lapc-br1-261 modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (disabled -> enabling)
Aug 12 22:02:19 lapc-br1-261 modem-manager: (ttyUSB3) opening serial device...
Aug 12 22:02:19 lapc-br1-261 modem-manager: Invalid error code: 272
Aug 12 22:02:19 lapc-br1-261 modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> disabled)
Aug 12 22:02:19 lapc-br1-261 modem-manager: (ttyACM0) closing serial device...
Aug 12 22:02:19 lapc-br1-261 modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (enabling -> enabled)
Aug 12 22:02:19 lapc-br1-261 NetworkManager[1462]: <warn> failed to enable/disable modem: (32) Unknown error
Aug 12 22:02:19 lapc-br1-261 modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (enabled -> registered)
Aug 12 22:02:19 lapc-br1-261 modem-manager: (ttyUSB3) closing serial device...
Aug 12 22:02:19 lapc-br1-261 modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (registered -> disabling)
Aug 12 22:02:19 lapc-br1-261 modem-manager: (ttyUSB1) closing serial device...
Aug 12 22:02:19 lapc-br1-261 modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (disabling -> disabled)
Aug 12 22:02:44 lapc-br1-261 NetworkManager[1462]: <warn> failed to enable/disable modem: (4) Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

The mobile broadband works perfectly with Windows 7.
Comment 1 Dan Williams 2010-08-13 19:26:57 EDT
So lets do some debugging...

1) service NetworkManager stop
2) killall -TERM modem-manager
3) unplug your dongle
4) modem-manager --debug
5) service NetworkManager start   (in another root terminal)
6) attempt to reproduce the problem

then attach the modem-manager debug log here.

Thanks!
Comment 2 Dr Eva Myers 2010-08-14 12:36:47 EDT
Created attachment 438796 [details]
modem-manager debug log

Debug log attached (for step 6, I tried to enable mobile broadband then clicked on the second "Vodafone TopUp and Go" a few times).  This time the NetworkManager icon changed into two arrows rotating around in a circle for a while before the "disconnected" popup appeared, and the light on the dongle also went out altogether.
Comment 3 Gary Myers 2011-01-12 14:18:48 EST
Hi Dr Myers,

I spent last night getting the same device working on my laptop running Fedora 14 x86_64. You will need to use the software available from Betavine to use the device. Here is my method modified from the Betavine instructions (http://www.betavine.net/bvportal/resources/datacards/os/fedora) ->

First, open an xterm window and become super user (su -).

Install the following:

yum install wvdial redhat-lsb pyserial python-sqlite2 python-twisted pytz gnome-python2-libegg python-pyasn1 usb_modeswitch usb_modeswitch-data

This above command will also install a number of dependant python packages. My laptop lists: tcl, tk, tix, tkinter, PyXML, libwvstreams, python-zope-interface, python-fpconst, SOAPpy, pyserial, python-twisted-core, python-twisted-runner, wvdial, python-twisted-web, python-twisted-names, python-twisted-mail, python-twisted-news, python-twisted-lore, python-twisted-words, python-twisted-conch, python-twisted as being installed.

Note: python-pyasn1 is needed but is not picked up as a dependency by the dongle software. usb_modeswitch is available from the betavine repo, but it is better to use the latest from the Fedora repos.

Next, install the ozerocdoff package from Betavine:

rpm -hvh https://forge.betavine.net/frs/download.php/600/ozerocdoff-0.4-2.fc12.i386.rpm

And the Vodafone software:

rpm -ivh https://forge.betavine.net/frs/download.php/609/vodafone-mobile-connect-2.20.01-1.noarch.rpm

The vodafone software needs the user running the software to be in a number of groups; however there is a NetworkManager lock issue which I will detail below.

Add your user name to the following groups: uucp, dip, lock, dialout and wheel.

NetworkManager appears to hold on to /dev/ttyUSB3 making it tricky for an ordinary user to grab hold and use the Vodafone connection manager, so I have come up with a kuldge to work around it until I can find a better solution:

With your userID in the wheel group, edit the /etc/sudoers file and un-comment the following line:

%wheel	ALL=(ALL)	NOPASSWD: ALL

This will allow your userID to run root commands. (Apologies if you already know this!)

On your desktop, create a shortcut to run in terminal mode. Set the command line to: sudo vodafone-mobile-connect-card-driver-for-linux &

The contents of my shortcut are here for reference (called Vodafone.desktop):

#!/usr/bin/env xdg-open

[Desktop Entry]
Version=1.0
Type=Application
Terminal=true
Icon[en_GB]=vodafone
Name[en_GB]=Vodafone
Exec=sudo vodafone-mobile-connect-card-driver-for-linux &
Comment[en_GB]=Vodafone Connection Manager
Name=Vodafone
Comment=Vodafone Connection Manager
Icon=vodafone

This will allow the software to run as root and overcome the NetworkManager bug.

I think that's what I did. Please post on here if it works.

:)
Comment 4 Dr Eva Myers 2011-01-13 09:51:31 EST
Created attachment 473341 [details]
log messages
Comment 5 Dr Eva Myers 2011-01-13 09:56:24 EST
I'm afraid this didn't work for me.  I was able to follow the instructions, although I had to "yum install libusb.i386" before the ozerocdoff package would install, but when I double-click on the shortcut all I get is an error message!

twistd
User Permissions Problem

It appears that you do not have privillages to run the Vodafone Mobile
Connect application. You need to be part of the groups 'dialout' and
'lock' to run the Modem Manager. If you have already added yourself to
those groups, try restarting the computer or logging in as yourself to
activate your changes.

I have already added myself to the groups and rebooted the computer, and the "groups" command shows me as a member of them all.

[erm1001@lapc-br1-261 ~]$ groups
erm1001 wheel uucp dialout dip lock

I have attached a sample of the log messages which appear when I try to run the shortcut.

I can't get a very good mobile signal here and will try again from home where it is more reliable, but I don't think this is the problem.  Would upgrading to Fedora 14 be likely to help?
Eva.
Comment 6 Gary Myers 2011-01-13 14:55:57 EST
The Vodafone software also comes with a debug version to check for errors.

Run: vodafone-mobile-connect-card-driver-for-linux-debug  from a terminal window (as super user to over come the NetworkManager issue) to see if there is anything obvious.

If mine works in F14, your should work in F13. I can confirm my laptop has libusb.i686 along with libusb.x86_64.

I am attaching a copy of my /var/log/messages showing its output as the device is plugged in and a log of the Vodafone software in debug mode showing a connect, disconnect and termination of the running application.
Comment 7 Gary Myers 2011-01-13 14:58:17 EST
Created attachment 473410 [details]
Log of /var/log/messages as Vodafone 3G dongle is inserted.

Log output from /var/log/messages showing the processes as the 3G dongle is detected and configured.
Comment 8 Gary Myers 2011-01-13 14:59:42 EST
Created attachment 473411 [details]
Debug messages from Vodafone 3G dongle software.

Captured output of Vodafone 3G dongle software in debug mode showing the software establishing a connection to the UMTS, connecting to the provider, disconnecting and shutting down.
Comment 9 Dr Eva Myers 2011-01-17 06:33:28 EST
Created attachment 473816 [details]
/var/log/messages as mobile broadband dongle is inserted

I attach my /var/log/messages as the mobile broadband dongle is inserted.  It's pretty similar to yours but I notice two differences: I appear to have USB1 rather than USB2, and there seems to be an extra usb_modeswitch message in my log.  I ran "yum list | grep usb" but didn't see any packages to install for USB2.

I tried doing

sudo gnome-terminal

and then

vodafone-mobile-connect-card-driver-for-linux-debug (in the terminal)

but it didn't help.  The following messages appeared in the terminal window:

[root@lapc-br1-261 ~]# vodafone-mobile-connect-card-driver-for-linux-debug
/usr/lib64/python2.6/site-packages/twisted/persisted/sob.py:12: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import os, md5, sys
create skelaton and do setup: finished os.path.exists
create skelaton and do setup: finished shutil.copytree
ensure I have config: checked OS path exists
/usr/lib64/python2.6/site-packages/twisted/conch/ssh/keys.py:13: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
  import sha, md5
get_plugin_by_vendor_product_id called with 0x19D2 and 0x1008
data port is /dev/ttyUSB3
ctrl port is /dev/ttyUSB1
get_plugin_by_vendor_product_id called with 0x0930 and 0x1311

and then I got the same popup as before, complaining that I needed to be in the groups "dialout" and "lock".  This even happened after I had explicitly added root to all the groups you mentioned.
Eva.
Comment 10 Gary Myers 2011-01-27 06:21:01 EST
The USB02 is a Red Herring. Your 3G dongle is sitting on 01 and 03 as mine does.

Your error now appears to be related to Python. As I run F14, my sob.py is owned by python-twisted-core-10.1.0-3.fc14.x86_64 and lives in /usr/lib64/python2.7/site-packages/twisted/persisted/sob.py. That said, the Vodafone software was written for F11...

Could you post a list of your python packages here(?) and I will run a quick comparison against my laptop. The command "rpm -qa | grep python | sort" should be sufficient.
Comment 11 Dr Eva Myers 2011-01-27 08:06:53 EST
[erm1001@lapc-br1-261 ~]$ rpm -qa | grep python | sort
abrt-addon-python-1.1.14-1.fc13.x86_64
at-spi-python-1.30.1-1.fc13.x86_64
audit-libs-python-2.0.4-3.fc13.x86_64
boost-python-1.41.0-11.fc13.x86_64
cracklib-python-2.8.15-3.fc13.x86_64
dbus-python-0.83.0-6.fc12.x86_64
farsight2-python-0.0.20-2.fc13.x86_64
gamin-python-0.1.10-7.fc13.x86_64
gnome-python2-2.28.1-1.fc13.x86_64
gnome-python2-applet-2.30.0-6.fc13.x86_64
gnome-python2-bonobo-2.28.1-1.fc13.x86_64
gnome-python2-canvas-2.28.1-1.fc13.x86_64
gnome-python2-desktop-2.30.0-6.fc13.x86_64
gnome-python2-extras-2.25.3-25.fc13.x86_64
gnome-python2-gconf-2.28.1-1.fc13.x86_64
gnome-python2-gnome-2.28.1-1.fc13.x86_64
gnome-python2-gnomekeyring-2.30.0-6.fc13.x86_64
gnome-python2-gnomevfs-2.28.1-1.fc13.x86_64
gnome-python2-gtkhtml2-2.25.3-25.fc13.x86_64
gnome-python2-libegg-2.25.3-25.fc13.x86_64
gnome-python2-libwnck-2.30.0-6.fc13.x86_64
gstreamer-python-0.10.16-1.fc12.x86_64
libproxy-python-0.3.1-4.fc13.x86_64
libselinux-python-2.0.94-2.fc13.x86_64
libsemanage-python-2.0.45-1.fc13.x86_64
libuser-python-0.56.16-1.fc13.2.x86_64
libxml2-python-2.7.7-1.fc13.x86_64
newt-python-0.52.11-2.fc13.x86_64
notify-python-0.1.1-8.fc12.x86_64
policycoreutils-python-2.0.83-33.1.fc13.x86_64
python-2.6.4-27.fc13.x86_64
python-beaker-1.5.3-3.fc13.noarch
python-BeautifulSoup-3.0.8.1-1.fc13.noarch
python-boto-1.9b-4.fc13.noarch
python-bugzilla-0.6.1-1.fc13.noarch
python-chardet-2.0.1-1.fc13.noarch
python-crypto-2.1.0-1.fc13.x86_64
python-decorator-3.1.2-2.fc13.noarch
python-deltarpm-3.5-0.7.20100121git.fc13.x86_64
python-devel-2.6.4-27.fc13.x86_64
python-enum-0.4.4-1.fc13.noarch
python-ethtool-0.5-1.fc13.x86_64
python-feedparser-4.1-11.fc13.noarch
python-fpconst-0.7.3-6.fc12.noarch
python-GnuPGInterface-0.3.2-6.fc12.noarch
python-httplib2-0.4.0-4.fc12.noarch
python-imaging-1.1.6-17.fc12.x86_64
python-iniparse-0.4-1.fc13.noarch
python-iwlib-0.1-2.fc13.x86_64
python-kitchen-0.2.3-2.fc13.noarch
python-ldap-2.3.10-1.fc13.x86_64
python-libs-2.6.4-27.fc13.x86_64
python-mako-0.3.4-1.fc13.noarch
python-markupsafe-0.9.2-3.fc13.x86_64
python-meh-0.7.1-1.fc13.noarch
python-paste-1.7.4-2.fc13.noarch
python-pyasn1-0.0.9a-1.fc13.noarch
python-pycurl-7.19.0-7.fc13.x86_64
python-simplejson-2.1.2-1.fc13.x86_64
python-slip-0.2.13-1.fc13.noarch
python-slip-dbus-0.2.13-1.fc13.noarch
python-slip-gtk-0.2.13-1.fc13.noarch
python-sqlite2-2.3.5-2.fc12.x86_64
python-telepathy-0.15.17-1.fc13.noarch
python-twisted-8.2.0-3.fc12.noarch
python-twisted-conch-8.2.0-3.fc12.x86_64
python-twisted-core-8.2.0-5.fc13.x86_64
python-twisted-lore-8.2.0-3.fc12.x86_64
python-twisted-mail-8.2.0-3.fc12.x86_64
python-twisted-names-8.2.0-3.fc12.x86_64
python-twisted-news-8.2.0-3.fc12.x86_64
python-twisted-runner-8.2.0-3.fc12.x86_64
python-twisted-web-8.2.0-3.fc12.x86_64
python-twisted-words-8.2.0-3.fc12.x86_64
python-urlgrabber-3.9.1-7.fc13.noarch
python-virtkey-0.50-6.fc12.x86_64
python-zope-interface-3.6.1-5.fc13.x86_64
rpm-python-4.8.1-2.fc13.x86_64
setools-libs-python-3.3.7-8.fc13.x86_64
Comment 12 Gary Myers 2011-01-27 10:30:56 EST
It looks like the version of python-twisted is causing the problem. There have been considerable updates in Fedora 14 and the coders of the Vodafone software may have used it without realising. I think you will have to see about upgrading your laptop to Fedora 14.

I have a sneaky method of doing that without the DVD/CD images if you need it?
Comment 13 Dr Eva Myers 2011-01-28 11:48:35 EST
Created attachment 475831 [details]
List of python packages after upgrade

I upgraded to Fedora 14 (using preupgrade if it matters) but it didn't help.  The error messages about modules being deprecated went away but I'm still getting the same popup complaining that I need to be in the groups "dialout" and "lock".  I attach the current list of python packages.

[root@lapc-br1-261 ~]# groups
root bin daemon sys adm disk wheel uucp dialout dip lock
[root@lapc-br1-261 ~]# vodafone-mobile-connect-card-driver-for-linux-debug
create skelaton and do setup: finished os.path.exists
create skelaton and do setup: finished shutil.copytree
ensure I have config: checked OS path exists
get_plugin_by_vendor_product_id called with 0x19D2 and 0x1008
data port is /dev/ttyUSB3
ctrl port is /dev/ttyUSB1
get_plugin_by_vendor_product_id called with 0x0930 and 0x1311
[root@lapc-br1-261 ~]#
Comment 14 Bug Zapper 2011-06-01 07:31:16 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2011-06-28 10:37:42 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.